Bug 522745 - thinkpad_acpi: CMOS NVRAM (7) and EC (5) do not agree on display brightness level
Summary: thinkpad_acpi: CMOS NVRAM (7) and EC (5) do not agree on display brightness l...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.4
Hardware: All
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: John Feeney
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-11 09:46 UTC by Qian Cai
Modified: 2013-01-10 07:16 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-30 07:44:53 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0178 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 5.5 kernel security and bug fix update 2010-03-29 12:18:21 UTC

Description Qian Cai 2009-09-11 09:46:52 UTC
Description of problem:
The brightness of the screen needs to be manually brought up via "Fn + Home" key combination every time reboot an IBM T43 laptop. There are several those messages in dmesg,

thinkpad_acpi: CMOS NVRAM (7) and EC (5) do not agree on display brightness level

Version-Release number of selected component (if applicable):
kernel-2.6.18-128.7.1.el5

How reproducible:
always

Steps to Reproduce:
1. boot the laptop
  
Actual results:
The brightness of the screen is the lowest.

Expected results:
The brightness of the screen is the highest.

Comment 1 Matthew Garrett 2009-09-28 22:20:04 UTC
Is this an Intel or Radeon based GPU?

Comment 2 Qian Cai 2009-09-29 14:28:10 UTC
00:02.0 VGA compatible controller: Intel Corporation Mobile 915GM/GMS/910GML Express Graphics Controller (rev 03)

Comment 3 Matthew Garrett 2009-10-02 20:09:44 UTC
Can you test the build at http://brewweb.devel.redhat.com/brew/taskinfo?taskID=2014235 once it's complete?

Comment 4 Qian Cai 2009-10-03 05:01:13 UTC
Looks like the new kernel fixed the problem. There is no such message in dmesg and it always stay in the brightest level.

Comment 5 RHEL Product and Program Management 2009-11-04 21:11:37 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 6 Don Zickus 2009-11-10 16:51:30 UTC
in kernel-2.6.18-173.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Please do NOT transition this bugzilla state to VERIFIED until our QE team
has sent specific instructions indicating when to do so.  However feel free
to provide a comment indicating that this fix has been verified.

Comment 10 errata-xmlrpc 2010-03-30 07:44:53 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2010-0178.html


Note You need to log in before you can comment on or make changes to this bug.